javax.persistence.criteria

## Interface Expression<T>

All Superinterfaces:
  Selection<T>, TupleElement<T>

All Known Subinterfaces:
  CollectionJoin<Z,E>, CriteriaBuilder.Case<R>, CriteriaBuilder.Coalesce<T>, CriteriaBuilder.In<T>, CriteriaBuilder.SimpleCase<C,R>, From<Z,X>, Join<Z,X>, ListJoin<Z,E>, MapJoin<Z,K,V>, ParameterExpression<T>, Path<X>, PluralJoin<Z,C,E>, Predicate, Root<X>, SetJoin<Z,E>, Subquery<T>

    public interface Expression<T>
    extends Selection<T>

### Method Summary

All Methods Instance Methods Abstract Methods
`<X> Expression<X>` `as(Class<X> type)`
`Predicate` `in(Collection<?> values)`
`Predicate` `in(Expression<?>... values)`
`Predicate` `in(Expression<Collection<?>> values)`
`Predicate` `in(Object... values)`
`Predicate` `isNotNull()`
`Predicate` `isNull()`

### Methods inherited from interface javax.persistence.criteria.Selection

`alias, getCompoundSelectionItems, isCompoundSelection`

### Methods inherited from interface javax.persistence.TupleElement

`getAlias, getJavaType`

### Method Detail

#### isNull

    Predicate isNull()

#### isNotNull

    Predicate isNotNull()

#### in

    Predicate in(Object... values)

#### in

    Predicate in(Expression<?>... values)

#### in

    Predicate in(Collection<?> values)

#### in

    Predicate in(Expression<Collection<?>> values)

#### as

    <X> Expression<X> as(Class<X> type)